import java.awt.Color;
import java.awt.Graphics2D;

public class Board {
	private int[][] wall = new int[Const.BOARD_SIZE][Const.BOARD_SIZE];
	private Wall[] walls = new Wall[Const.WALL_AMOUNT * 2];

	public Board() {
		for (int i = 0; i < Const.BOARD_SIZE; i++) {
			for (int j = 0; j < Const.BOARD_SIZE; j++) {
				wall[i][j] = -1;
			}
		}
		for (int i = 0; i < Const.WALL_AMOUNT; i++) {
			walls[i] = new Wall(0, i);
			walls[Const.WALL_AMOUNT + i] = new Wall(1, i);
		}
	}

	public void draw(Graphics2D g) {
		g.setColor(new Color(Const.BOARD_COLOR));
		g.fillRect(100, 30, 440, 440);
		for (int i = 0; i < Const.BOARD_SIZE; i++) {
			for (int j = 0; j < Const.BOARD_SIZE; j++) {
				g.setColor(new Color(Const.CELL_COLOR));
				g.fillRect(108 + j * 48, 38 + i * 48, 40, 40);
			}
		}
		for (int i = 0; i < Const.WALL_AMOUNT * 2; i++) {
			walls[i].draw(g);
		}
	}
}
