import java.awt.Color;
import java.awt.Graphics2D;

public class Board {
	private int[][] wall = new int[Const.BOARD_SIZE][Const.BOARD_SIZE];
	private Wall[][] walls = new Wall[2][Const.WALL_AMOUNT];

	public Board() {
		for (int i = 0; i < Const.BOARD_SIZE; i++) {
			for (int j = 0; j < Const.BOARD_SIZE; j++) {
				wall[i][j] = -1;
			}
		}
		for (int i = 0; i < 2; i++) {
			for (int j = 0; j < Const.WALL_AMOUNT; j++) {
				walls[i][j] = new Wall(i, j);
			}
		}
	}

	public void draw(Graphics2D g) {
		g.setColor(new Color(Const.BOARD_COLOR));
		g.fillRect(100, 30, 440, 440);
		for (int i = 0; i < Const.BOARD_SIZE; i++) {
			for (int j = 0; j < Const.BOARD_SIZE; j++) {
				g.setColor(new Color(Const.CELL_COLOR));
				g.fillRect(108 + j * 48, 38 + i * 48, 40, 40);
			}
		}
		for (int i = 0; i < 2; i++) {
			for (int j = 0; j < Const.WALL_AMOUNT; j++) {
				walls[i][j].draw(g);
			}
		}
	}
}
