import java.awt.Color;
import java.awt.Graphics2D;

public class Board {
	private int[][] wallH = new int[Const.BOARD_SIZE][Const.BOARD_SIZE];
	private int[][] wallV = new int[Const.BOARD_SIZE][Const.BOARD_SIZE];
	private Wall[][] wall = new Wall[2][Const.WALL_AMOUNT];

	public Board() {
		for (int i = 0; i < Const.BOARD_SIZE; i++) {
			for (int j = 0; j < Const.BOARD_SIZE; j++) {
				wallH[i][j] = -1;
				wallV[i][j] = -1;
			}
		}
		for (int i = 0; i < 2; i++) {
			for (int j = 0; j < Const.WALL_AMOUNT; j++) {
				wall[i][j] = new Wall(i, j);
			}
		}
		wall[0][9].setState(Const.USED);
		wall[0][9].setDirection(Const.VERTICAL);
		wall[0][9].setLocation(1, 2);
	}

	public void draw(Graphics2D g) {
		g.setColor(new Color(Const.BOARD_COLOR));
		g.fillRect(108, 38, 424, 424);
		for (int i = 0; i < Const.BOARD_SIZE; i++) {
			for (int j = 0; j < Const.BOARD_SIZE; j++) {
				g.setColor(new Color(Const.CELL_COLOR));
				g.fillRect(118 + i * 46, 48 + j * 46, 36, 36);
			}
		}
		for (int i = 0; i < 2; i++) {
			for (int j = 0; j < Const.WALL_AMOUNT; j++) {
				wall[i][j].draw(g);
			}
		}
	}
}
