import java.awt.Color;
import java.awt.Graphics2D;

public class Board {
	private int[][] wallH = new int[Const.BOARD_SIZE][Const.BOARD_SIZE];
	private int[][] wallV = new int[Const.BOARD_SIZE][Const.BOARD_SIZE];
	private Wall[][] wall = new Wall[2][Const.WALL_AMOUNT];
	private int[] rest = new int[2];
	private Token[] token = new Token[2];

	public Board() {
		for (int i = 0; i < Const.BOARD_SIZE; i++) {
			for (int j = 0; j < Const.BOARD_SIZE; j++) {
				wallH[i][j] = -1;
				wallV[i][j] = -1;
			}
		}
		for (int i = 0; i < 2; i++) {
			rest[i] = 10;
			for (int j = 0; j < Const.WALL_AMOUNT; j++) {
				wall[i][j] = new Wall(i, j);
			}
		}

		token[0] = new Token(0, 4, 0);
		token[1] = new Token(8, 4, 1);
	}

	public int getTokenX(int player) {
		return token[player].getX();
	}

	public int getTokenY(int player) {
		return token[player].getY();
	}

	public int getRestWalls(int player) {
		return rest[i];
	}

	public void move(int player, int direction) {
		token[player].move(direction);
	}

	public void draw(Graphics2D g) {
		g.setColor(new Color(Const.BOARD_COLOR));
		g.fillRect(108, 38, 424, 424);
		for (int i = 0; i < Const.BOARD_SIZE; i++) {
			for (int j = 0; j < Const.BOARD_SIZE; j++) {
				g.setColor(new Color(Const.CELL_COLOR));
				g.fillRect(118 + i * 46, 48 + j * 46, 36, 36);
			}
		}
		for (int i = 0; i < 2; i++) {
			for (int j = 0; j < Const.WALL_AMOUNT; j++) {
				wall[i][j].draw(g);
			}
			token[i].draw(g, (token[0].getX() == token[1].getX() && token[0]
					.getY() == token[1].getY()));
		}
	}
}
