public class Data {
	public int[] tokenX = new int[2];
	public int[] tokenY = new int[2];
	public int[] restWalls = new int[2];
	public boolean[][] board = new boolean[17][17];
	private boolean[][] used = new boolean[17][17];

	public boolean isValidMove(Move move) {
		if (move.mode == Const.TOKEN) {
			if (!moveToken(move.direction)) {
				return false;
			}
		} else {
			if (!putWall(move.x, move.y, move.direction)) {
				return false;
			}
		}
		return true;
	}

	private boolean moveToken(int direction) {
		if (direction < 0 || direction > 3) {
			return false;
		}
		int x = tokenX[0];
		int y = tokenY[0];
		int nx = x + Const.DX[direction];
		int ny = y + Const.DY[direction];
		if (nx < 0 || ny < 0 || nx >= Const.BOARD_SIZE
				|| ny >= Const.BOARD_SIZE || board[x + nx][y + ny]) {
			return false;
		}
		return true;
	}

	private boolean putWall(int x, int y, int direction) {
		if (restWalls[0] <= 0 || x < 0 || y < 0 || x > 7 || y > 7
				|| direction < 0 || direction > 1) {
			return false;
		}

		if (direction == Const.HORIZONTAL) {
			for (int i = 0; i < 3; i++) {
				if (board[x * 2 + i][y * 2 + 1]) {
					return false;
				}
				board[x * 2 + i][y * 2 + 1] = true;
			}
		} else {
			for (int i = 0; i < 3; i++) {
				if (board[x * 2 + 1][y * 2 + i]) {
					return false;
				}
				board[x * 2 + 1][y * 2 + i] = true;
			}
		}

		if (cantGoal(0) || cantGoal(1)) {
			return false;
		}
		return true;
	}

	private boolean cantGoal(int player) {
		for (int i = 0; i < 17; i++) {
			for (int j = 0; j < 17; j++) {
				used[i][j] = false;
			}
		}
		return !dfs(tokenX[0] * 2, tokenY[0] * 2, (player ^ 1) * 16);
	}

	private boolean dfs(int x, int y, int goal) {
		if (x == goal) {
			return true;
		}
		used[x][y] = true;
		for (int i = 0; i < 4; i++) {
			int nx = x + Const.DX[i];
			int ny = y + Const.DY[i];
			if (nx >= 0 && ny >= 0 && nx < 17 && ny < 17 && !used[nx][ny]
					&& !board[nx][ny] && dfs(nx, ny, goal)) {
				return true;
			}
		}
		return false;
	}
}
