import java.awt.Color;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.geom.Arc2D;

import javax.swing.JFrame;

public class Main extends JFrame {
	private static final long serialVersionUID = 1L;

	public static void main(String args[]) {
		new Main();
	}

	public Main() {
		super("Quoridor");
		ThreadClass threadcls = new ThreadClass();
		Thread thread = new Thread(threadcls);
		thread.start();
		setSize(200, 200);
		setBackground(Color.WHITE);
		setVisible(true);
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
	}

	// Runnable Class
	class ThreadClass implements Runnable {
		public void run() {
			long nowTime, drawTime;

			nowTime = System.currentTimeMillis();
			drawTime = nowTime + 500;
			while (true) {
				nowTime = System.currentTimeMillis();
				if (drawTime < nowTime) {
					drawTime = nowTime + 30;
					repaint();
				}
			}
		}
	}

	private int x = 0;

	public void paint(Graphics g) {
		super.paint(g);
		Graphics2D g2 = (Graphics2D) this.getGraphics();
		x++;
		Arc2D arc = new Arc2D.Double(30, 50, 110, 110, 30, x, Arc2D.OPEN);
		g2.draw(arc);
	}
}
