import java.awt.Color;
import java.awt.Graphics;
import java.awt.Image;

import javax.swing.JFrame;

public class Main extends JFrame {
	private static final long serialVersionUID = 1L;

	private Image back;
	private Graphics buffer;

	private Board board;

	public static void main(String args[]) {
		new Main();
	}

	public Main() {
		super("Quoridor");
		ThreadClass threadcls = new ThreadClass();
		Thread thread = new Thread(threadcls);
		thread.start();
		setSize(640, 480);
		setBackground(Color.WHITE);
		setVisible(true);
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
	}

	class ThreadClass implements Runnable {
		public void run() {
			long nowTime, drawTime;

			nowTime = System.currentTimeMillis();
			drawTime = nowTime + 500;
			while (true) {
				nowTime = System.currentTimeMillis();
				if (drawTime < nowTime) {
					drawTime = nowTime + 30;
					repaint();
				}
			}
		}
	}

	public void paint(Graphics g) {
		if (back == null)
			return;
		buffer = back.getGraphics();
		if (buffer == null)
			return;
		size = getSize();
		buffer.setColor(getBackground());
		buffer.fillRect(0, 0, size.width, size.height);
		for (int i = 0; ii < shot.length; i++)
			if (shot[i].flag == 1)
				buffer.drawImage(img, (int) shot[i].pos.x, (int) shot[i].pos.y,
						this);
		g.drawImage(back, 0, 0, this);
	}
}
