import java.awt.Color;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.Image;

import javax.naming.InitialContext;
import javax.swing.JFrame;

public class Main extends JFrame {
	private static final long serialVersionUID = 1L;

	private Image back;
	private Graphics buffer;

	private Board board;

	public static void main(String args[]) {
		new Main();
	}

	public Main() {
		super("Quoridor");
		ThreadClass threadcls = new ThreadClass();
		Thread thread = new Thread(threadcls);
		thread.start();
		setSize(Const.WINDOW_WIDTH, Const.WINDOW_HEIGHT);
		setBackground(Color.WHITE);
		setVisible(true);
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		init();
	}

	private init() {
		board = new Board();
	}

	class ThreadClass implements Runnable {
		public void run() {
			long nowTime, drawTime;

			nowTime = System.currentTimeMillis();
			drawTime = nowTime + 500;
			while (true) {
				nowTime = System.currentTimeMillis();
				if (drawTime < nowTime) {
					drawTime = nowTime + 30;
					repaint();
				}
			}
		}
	}

	public void paint(Graphics g) {
		Graphics2D g2 = (Graphics2D) g;
		g2.clearRect(0, 0, getWidth(), getHeight());
		board.draw(g2);
	}
}
