import java.awt.Color;
import java.awt.Graphics;
import java.awt.Graphics2D;

import javax.swing.JFrame;

public class Main extends JFrame {
	private static final long serialVersionUID = 1L;

	private Board board;
	private AI[] ai = new AI[2];
	private int turn, wait;

	public static void main(String args[]) {
		new Main();
	}

	public Main() {
		super("Quoridor");
		ThreadClass threadcls = new ThreadClass();
		Thread thread = new Thread(threadcls);
		thread.start();
		setSize(Const.WINDOW_WIDTH, Const.WINDOW_HEIGHT);
		setBackground(new Color(Const.BG_COLOR));
		setVisible(true);
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		init();
	}

	private void init() {
		board = new Board();
		ai[0] = new SampleAI(0);
		ai[1] = new SampleAI(1);
		turn = 0;
		wait = 100;
	}

	class ThreadClass implements Runnable {
		public void run() {
			while (true) {
				repaint();
				if (wait == 0) {

				} else
					wait--;
				try {
					Thread.sleep(100);
				} catch (InterruptedException e) {
				}
			}
		}
	}

	public void paint(Graphics g) {
		Graphics2D g2 = (Graphics2D) g;
		g2.clearRect(0, 0, getWidth(), getHeight());
		board.draw(g2);
	}
}
