public class SampleAI extends AI {
	public SampleAI(int player) {
		super(player);
	}

	public Move move(Data data) {
		if (data.restWalls[0] != 0 && rand(3) == 0) {
			// Wall
			return new Move(Const.WALL, Const.HORIZONTAL, 0, 0);
		} else {
			// Token
			int[] qx = new int[500];
			int[] qy = new int[500];
			int qs = 0, qt = 1;
			qx[0] = data.tokenX[0];
			qy[0] = data.tokenY[0];

			int[][] pre = new int[17][17];
			for (int i = 0; i < 17; i++) {
				for (int j = 0; j < 17; j++) {
					pre[i][j] = -1;
				}
			}
			pre[qx[0]][qy[0]] = -2;

			int x, y, nx, ny;
			while (qs < qt) {
				x = qx[qs];
				y = qy[qs];
				qs++;
				if (x == 16) {
					break;
				}
				for (int i = 0; i < 4; i++) {
					nx = x + Const.DX[i];
					ny = y + Const.DY[i];
					if (nx >= 0 && ny >= 0 && nx < 17 && ny < 17
							&& pre[nx][ny] == -1 && !data.board[x + nx][y + ny]) {
						qx[qt] = nx;
						qy[qt] = ny;
						qt++;
					}
				}
			}

			return new Move(Const.TOKEN, direction, 0, 0);
		}
	}
}
