public class SampleAI extends AI {
	public SampleAI(int player) {
		super(player);
	}

	public Move move(Data data) {
		if (data.restWalls[0] != 9 && rand(3) == 0) {
			// Wall
			return new Move(Const.WALL, Const.VERTICAL, 2, 4);
		} else {
			// Token
			int[] qx = new int[100];
			int[] qy = new int[100];
			int qs = 0, qt = 1;
			qx[0] = data.tokenX[0];
			qy[0] = data.tokenY[0];

			int[][] pre = new int[9][9];
			for (int i = 0; i < 9; i++) {
				for (int j = 0; j < 9; j++) {
					pre[i][j] = -1;
				}
			}
			pre[qx[0]][qy[0]] = -2;

			int x = 0, y = 0, nx, ny;
			while (qs < qt) {
				x = qx[qs];
				y = qy[qs];
				qs++;
				if (x == 8) {
					break;
				}
				for (int i = 0; i < 4; i++) {
					nx = x + Const.DX[i];
					ny = y + Const.DY[i];
					if (nx >= 0 && ny >= 0 && nx < 9 && ny < 9
							&& pre[nx][ny] == -1 && !data.board[x + nx][y + ny]) {
						pre[nx][ny] = i;
						qx[qt] = nx;
						qy[qt] = ny;
						qt++;
					}
				}
			}

			int direction = 0;
			while (pre[x][y] >= 0) {
				direction = pre[x][y];
				x -= Const.DX[direction];
				y -= Const.DY[direction];
			}
			return new Move(Const.TOKEN, direction, 0, 0);
		}
	}
}
