public class SampleAI extends AI {
	public SampleAI(int player) {
		super(player);
	}

	public Move move(Data data) {
		if (data.restWalls[0] != 9 && rand(3) == 0) {
			// Wall
			return new Move(Const.WALL, Const.VERTICAL, 2, 3 + rand(2));
		} else {
			// Token
			Pair p = bfs(data, 0);
			return new Move(Const.TOKEN, p.direction, 0, 0);
		}
	}

	private Pair bfs(Data data, int player) {
		int[] qx = new int[100];
		int[] qy = new int[100];
		int qs = 0, qt = 1;
		qx[0] = data.tokenX[player];
		qy[0] = data.tokenY[player];
		int tx = 8;
		if (player == 1) {
			tx = 0;
		}

		int[][] pre = new int[9][9];
		for (int i = 0; i < 9; i++) {
			for (int j = 0; j < 9; j++) {
				pre[i][j] = -1;
			}
		}
		pre[qx[0]][qy[0]] = -2;

		int x = 0, y = 0, nx, ny;
		while (qs < qt) {
			x = qx[qs];
			y = qy[qs];
			if (x == tx) {
				break;
			}
			qs++;
			for (int i = 0; i < 4; i++) {
				nx = x + Const.DX[i];
				ny = y + Const.DY[i];
				if (nx >= 0 && ny >= 0 && nx < 9 && ny < 9 && pre[nx][ny] == -1
						&& !data.board[x + nx][y + ny]) {
					pre[nx][ny] = i;
					qx[qt] = nx;
					qy[qt] = ny;
					qt++;
				}
			}
		}

		if (x != tx) {
			return new Pair(-1, -1);
		}

		int direction = 0;
		while (pre[x][y] >= 0) {
			direction = pre[x][y];
			x -= Const.DX[direction];
			y -= Const.DY[direction];
		}
		return direction;
	}

	private class Pair {
		public int distance, direction;

		public Pair(int distance, int direction) {
			this.distance = distance;
			this.direction = direction;
		}
	}
}
