import java.awt.Color;
import java.awt.Graphics2D;

public class Token {
	private int player;
	private int x, y;
	private boolean isGhost = false;

	public Token(int x, int y, int player) {
		this.x = x;
		this.y = y;
		this.player = player;
	}

	public int getX() {
		return x;
	}

	public int getY() {
		return y;
	}

	public void setGhost() {
		isGhost = true;
	}

	public boolean move(int direction) {
		int nx = x + Const.DX[direction];
		int ny = y + Const.DY[direction];
		if (nx < 0 || ny < 0 || nx >= Const.BOARD_SIZE
				|| ny >= Const.BOARD_SIZE) {
			return false;
		}
		x = nx;
		y = ny;
		return true;
	}

	public void draw(Graphics2D g, boolean meets) {
		if (meets) {
			g.setColor(new Color(Const.PLAYER_COLOR[player] + 0xff000000, true));
			g.fillArc(123 + x * 46 + player * 5, 53 + y * 46 + player * 5, 20,
					20, 0, 360);
			g.setColor(new Color(Const.TOKEN_COLOR));
			g.drawArc(123 + x * 46 + player * 5, 53 + y * 46 + player * 5, 20,
					20, 0, 360);
		} else {
			g.setColor(new Color(Const.PLAYER_COLOR[player]));
			g.fillArc(123 + x * 46, 53 + y * 46, 25, 25, 0, 360);
			g.setColor(new Color(Const.TOKEN_COLOR));
			g.drawArc(123 + x * 46, 53 + y * 46, 25, 25, 0, 360);
		}
	}
}
