import java.awt.Color;
import java.awt.Graphics2D;

public class Wall {
	private int state;
	private int direction;
	private int x, y;
	private int player;

	public Wall(int player, int y) {
		state = Const.UNUSED;
		direction = Const.HORIZONTAL;
		this.y = y;
		this.player = player;
	}

	public int getState() {
		return state;
	}

	public void setState(int newState) {
		state = newState;
	}

	public int getX() {
		return x;
	}

	public int getY() {
		return y;
	}

	public int getDirection() {
		return direction;
	}

	public void setLocation(int newX, int newY, int newDirection) {
		x = newX;
		y = newY;
		direction = newDirection;
	}

	public void draw(Graphics2D g) {
		g.setColor(new Color(Const.WALL_COLOR[player]));
		int px, py;
		if (state == Const.USED) {
			px = 169 + x * 46;
			py = 89 + y * 46;
		} else {
			px = 54 + player * 532;
			py = 52 + y * 44;
		}
		if (direction == Const.HORIZONTAL) {
			g.fillRect(px - 41, py - 4, 82, 8);
		} else {
			g.fillRect(px - 4, py - 41, 8, 82);
		}
	}
}
